import { normalizeCheckableListRhfPropsWhitelist as a } from "./helpers/whitelist/propertyNormalizers.js";
import { normalizeFieldOptionsForCheckableList as p } from "./normalizeFieldOptionsForCheckableList.js";
import { resolveFieldTypeComponentProps as m } from "../../../resolveFieldContractAliases.js";
import { resolveFieldInputLabel as c } from "../../../resolveFieldInputLabel/resolveFieldInputLabel.js";
function v(e, l) {
  const t = m(e.fieldType), o = a(t), s = o.groups !== void 0 && o.groups.length > 0, r = o.searchable, i = r != null ? !!r : s, n = p(e.options);
  return {
    ...o,
    resolvedLabel: c(e, l),
    hasGroups: s,
    resolvedSearchable: i,
    resolvedCheckableListItems: n
  };
}
export {
  v as normalizeCheckableListPropsFromBackend
};
